summaryrefslogtreecommitdiffstats
path: root/libmariadb/benchmark/installation.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libmariadb/benchmark/installation.sh')
-rwxr-xr-xlibmariadb/benchmark/installation.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/libmariadb/benchmark/installation.sh b/libmariadb/benchmark/installation.sh
new file mode 100755
index 00000000..1b54e7d8
--- /dev/null
+++ b/libmariadb/benchmark/installation.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -ex
+
+# Check out the library.
+git clone https://github.com/google/benchmark.git
+# Go to the library root directory
+cd benchmark
+# Make a build directory to place the build output.
+cmake -E make_directory "build"
+# Generate build system files with cmake, and download any dependencies.
+cmake -E chdir "build" cmake -DBENCHMARK_DOWNLOAD_DEPENDENCIES=on -DCMAKE_BUILD_TYPE=Release ../
+# or, starting with CMake 3.13, use a simpler form:
+# cmake -DCMAKE_BUILD_TYPE=Release -S . -B "build"
+# Build the library.
+cmake --build "build" --config Release
+